# Coolplate temperature measurement
# version 2018-04-02
def  measure(target):
   """Measure a Pt100 temperature given its chip select pin."""
   import max31865
   import time, datetime
   #print ("Coolplate logging")
   target = str(target)
   target = target[:5]
   t_data = open('/home/pi/coolplate/programs/t_record.txt', 'a')
   misoPin = 3
   mosiPin = 4
   clkPin = 2
   longisotime = datetime.datetime.now().isoformat()
   outline = longisotime[0:19] # remove decimal seconds in iso date time
   max = max31865.max31865(9,misoPin,mosiPin,clkPin) #  plate t1
   tempCa = max.readTemp()
   #print max.tt
   outline += ' ' 
   outline += max.tt
   #time.sleep(5)
   max = max31865.max31865(10,misoPin,mosiPin,clkPin)	# plate t2
   tempCb = max.readTemp()
   #print max.tt
   #outline += ' '
   outline +=  max.tt
   #outline += ' '
   outline += target
   outline += '\n' # target t appended from run script
   # write to file
   t_data.write(outline)
   #GPIO.cleanup()
   t_data.close()
   return outline


